Name:           syncekonnector
Summary:        Synchronization application for Pocket PC handhelds
Version:        0.3.2
Release:        1%{?dist}
Group:          Applications/Communications
License:        GPL
URL:            http://www.synce.org/index.php/KDE
Source0:        http://download.sf.net/synce/syncekonnector-%{version}.tar.gz
Patch0:         syncekonnector-0.3.2-gcc41.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs-devel, kdepim-devel, librra-devel, librapi-devel
BuildRequires:  synce-kde-devel

%description
SynCEKonnector is a PC / Windows CE synchronization service application like
ActiveSync.


%prep
%setup -q
%patch0 -p0 -b .gcc41


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS TODO
%{_libdir}/lib*.so*
#%{_libdir}/lib*.la
%{_datadir}/doc/HTML/en/syncekonnector
%{_datadir}/services/kresources/konnector/*.desktop
%{_datadir}/services/*.desktop


%changelog
* Thu Feb 23 2006 Aurelien Bompard <gauret[AT]free.fr> 0.3.2-1
- initial package
